import { SuccessResponse } from './base';
import { IsBase32, IsJWT, IsNotEmpty } from 'class-validator';

export type TfaRequiredResponse = SuccessResponse;
export type RemoveTfaResponse = SuccessResponse;
export type RequestEmailTfaResponse = SuccessResponse;
export type TfaCompletedResponse = SuccessResponse;
export type SignupResponse = SuccessResponse;
export type RefreshResponse = LoginResponse;

export class LoginResponse extends SuccessResponse {
	@IsNotEmpty()
	@IsJWT()
	jwt: string;
}

export class RequestTotpTfaResponse extends SuccessResponse {
	@IsNotEmpty()
	qrCode: string;

	@IsNotEmpty()
	@IsBase32()
	secret: string;
}
